import React, { useEffect } from "react";
import { useDispatch, useSelector } from "react-redux";
import { setAppState } from "../common/actions/auth";
import { APP_STATE, Reducers } from "../common/types";

const AppState = () => {
  const dispatch = useDispatch();
  const appState = useSelector((state: Reducers) => state.auth.appState);

  useEffect(() => {
    if (appState?.state !== APP_STATE.LOADING) {
      setTimeout(() => {
        dispatch(setAppState(null));
      }, 5000);
    }
  }, [appState?.state, dispatch]);

  if (!appState) return null;

  const state =
    appState.state === APP_STATE.LOADING
      ? "Loading..."
      : appState.state === APP_STATE.FAILED
      ? "Failed"
      : "Success";

  return (
    <div className={`appstate ${appState?.state}`}>
      <section>
        <p>{state}</p>
      </section>
      <p>{appState?.msg}</p>
    </div>
  );
};

export default AppState;
